%bcond_with doc_pdf
%global so_version 0

Name:           libfakekey
Version:        0.3

Release:        1
Summary:        Library for converting characters to X key-presses

License:        LGPLv2+
URL:            https://git.yoctoproject.org/cgit/cgit.cgi/libfakekey
Source0:        %{url}/snapshot/libfakekey-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)

%if %{with doc_pdf}
BuildRequires:  doxygen
BuildRequires:  doxygen-latex
%endif

%description
libfakekey is a simple library for converting UTF-8 characters into 'fake' X
key-presses.

%package        devel
Summary:        Development files for libfakekey

Requires:       libfakekey%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xtst)

%description    devel
The libfakekey-devel package contains libraries and header files for developing
applications that use libfakekey.


%if %{with doc_pdf}
%package doc
Summary:        Documentation for the libfakekey library

BuildArch:      noarch

%description doc
Documentation for the libfakekey library.
%endif


%prep
%autosetup

%if %{with doc_pdf}
sed -r -i \
    -e "s/^([[:blank:]]*(GENERATE_LATEX|LATEX_BATCHMODE|USE_PDFLATEX|\
PDF_HYPERLINKS)[[:blank:]]*=[[:blank:]]*)NO[[:blank:]]*/\1YES/" \
    -e "s/^([[:blank:]]*(LATEX_TIMESTAMP|GENERATE_HTML)\
[[:blank:]]*=[[:blank:]]*)YES[[:blank:]]*/\1NO/" \
    doc/Doxyfile.in
%endif


%build
autoreconf -f -i -v
%configure --disable-static %{?with_doc_pdf:--enable-doxygen-docs}
%make_build
%if %{with doc_pdf}
%make_build -C doc/latex
%endif


%install
%make_install
rm -vf '%{buildroot}%{_libdir}/libfakekey.la'


# The only test is more like a demo
# so running it will be a waste of time


%files
%license COPYING
%{_libdir}/libfakekey.so.%{so_version}
%{_libdir}/libfakekey.so.%{so_version}.*


%files devel
%{_includedir}/fakekey/
%{_libdir}/libfakekey.so
%{_libdir}/pkgconfig/libfakekey.pc


%if %{with doc_pdf}
%files doc
%license COPYING
%doc doc/latex/refman.pdf
%endif


%changelog
* Thu Jul 14 2022 misaka00251 <misaka00251@misakanet.cn> 0.3-1
- Init package
